Subject: Re: bug#54751: Parted 3.4 complains about the partition layout of ChromeOS: "Can't have overlapping partitions"

From: Steven Shiau <[email-masked]>
Date: Thu, 7 Apr 2022 08:09:30 +0800

On 4/7/2022 7:03 AM, Brian C. Lane wrote:
> It looks like parted doesn't like 1 sector partitions that aren't in
> order. I can reproduce this by making them at 64s, 66s, then 65s. But if
> I make 64s, 65s, 66s it is happy with it, even when printing it later.
>
> I'll look into it more when I have a chance, but I think this is a
> corner case that has been there quite a while so it won't make it into
> the pending 3.5 release.

Thanks, Brian.
I believe quite a few people want to reuse their old computers, and hence
ChromeOS Flex is one of the good choices for them. We, from Clonezilla project [1],
are trying to make people do the massive deployment easier. That's why this issue was raised [2].
Appreciate.

1. https://clonezilla.org
2. https://sourceforge.net/p/clonezilla/discussion/Clonezilla_live/thread/688ce74fb1

-- 
Steven Shiau <steven _at_ stevenshiau org>
Public Key Server PGP Key ID: 4096R/163E3FB0
Fingerprint: EB1D D5BF 6F88 820B BCF5  356C 8E94 C9CD 163E 3FB0